@echo off
set errorlevel=
set SCRIPT_PATH=%~dp0
set SCRIPT_DRIVE=%SCRIPT_PATH:~0,2%
if not exist "%~dp0Simulator\PixlerStarter.exe" (
  echo Invalid file structure!
  echo  unable to access %~dp0Simulator\PixlerStarter.exe
  pause
  exit
)
if not exist "%~dp0Pixler\WiloPIXLER.exe" (
  echo Invalid file structure!
  echo  unable to access %~dp0Pixler\WiloPIXLER.exe
  pause
  exit
)
net use %SCRIPT_DRIVE% > nul 2>&1
set ERROR_LEVEL=%errorlevel%
if %ERROR_LEVEL% == 0 (
  echo Failed to run WiloDemo from this kind of resource
  echo  unable to run from %SCRIPT_DRIVE%
  pause
  exit
)
cd "%~dp0Simulator"
echo Starting Pixler (Revision: Revision: 850803) ...
ping -n 2 localhost> nul
start PixlerStarter.exe
echo done
ping -n 2 localhost> nul
exit
